Jump to content
Sign in to follow this  
horetol

[resolu] Mise à jour vers 1.4.3.0 : tables manquantes et messages d'erreurs

Recommended Posts

Je suis scrupuleusement la procédure de mise à jour de 1.3.1.1 vers prestashop 1.4.3.0 et me trouve avec des message d'erreur, par exemple : “Invalid loadTaxZones() SQL query!”.

Debug m'indique que la table "prefix_tax_zone" n'existe pas. C'est exact.

Quand je regarde les fichiers "db_sql" et "db_settings_extends" du répertoire "sql" et "1.4.3.sql" du sous répertoire "upgrade", je ne vois en effet aucune instruction de création d'une telle table.

Je l'ai créée mais un peu "au pif".

Quelqu'un peut-il me dire où trouver la configuration précise
.

Autre problème j'ai ce message d'erreur quand je clique sur une catégorie du catalogne :

Unknown column 'a.reduction_from' in 'field list'

SELECT SQL_CALC_FOUND_ROWS

 

b.*, a.*, cp.`position`, i.`id_image`, (a.`price` * ((100 + (t.`rate`))/100) - IF((DATEDIFF(a.`reduction_from`, CURDATE()) <= 0 AND DATEDIFF(a.`reduction_to`, CURDATE()) >=0) OR a.`reduction_from` = a.`reduction_to`, IF(a.`reduction_price` > 0, a.`reduction_price`, (a.`price` * ((100 + (t.`rate`))/100) * a.`reduction_percent` / 100)),0)) AS price_final

FROM `prefpres_product` a

LEFT JOIN `prefpres_product_lang` b ON (b.`id_product` = a.`id_product` AND b.`id_lang` = 2)

 

LEFT JOIN `prefpres_image` i ON (i.`id_product` = a.`id_product` AND i.`cover` = 1)

LEFT JOIN `prefpres_category_product` cp ON (cp.`id_product` = a.`id_product`)

LEFT JOIN `prefpres_tax` t ON (t.`id_tax` = a.`id_tax`)

WHERE 1 AND cp.`id_category` = 1

 

 

ORDER BY `position` ASC

LIMIT 0,50

Une idée pourquoi ?

merci

Share this post


Link to post
Share on other sites

Bonjour,

il faut remplacer "prefix_" par le préfixe que toi tu utilises. Ce message est étrange, mais ce n'est pas génant si tu n'en as pas eu d'autres (essayer d'effacer une table qui n'existe pas, c'est pas si facile).

cette table est créée dans la version 0.9.5.1 (si je me fie au fichier sql du même nom dans le dossier upgrade), et supprimée dans la version 1.4.0.5 car un autre système est utilisé.

Je soupçonne que tu n'ais pas remplacé ton dossier d'admin par la dernière version.

As-tu eu d'autre messages d'erreur lors de la mise à jour.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More